Index: lib/style/skins/metacatui/iso19115/iso-ci.xsl
===================================================================
--- lib/style/skins/metacatui/iso19115/iso-ci.xsl	(revision 10384)
+++ lib/style/skins/metacatui/iso19115/iso-ci.xsl	(revision 10385)
@@ -1,283 +1,258 @@
 <?xml version="1.0"?>
 <xsl:stylesheet 
-  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
-  xmlns:gmd="http://www.isotc211.org/2005/gmd"
-  xmlns:gco="http://www.isotc211.org/2005/gco" 
-  version="1.0">
-
-  <!-- CI_ResponsibleParty -->
-  <xsl:template match="gmd:CI_ResponsibleParty">
-    <div class="controls-well">
-      <xsl:if test="./gmd:individualName">
-        <div class="control-group">
-          <label class="control-label">Individual</label>
-          <div class="controls">
-            <div class="controls-well">
-              <xsl:apply-templates select="./gmd:individualName" />
-            </div>
-          </div>
+    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
+    xmlns:gmd="http://www.isotc211.org/2005/gmd" 
+    xmlns:gco="http://www.isotc211.org/2005/gco" version="1.0">
+    <!-- CI_ResponsibleParty -->
+    <xsl:template match="gmd:CI_ResponsibleParty">
+        <div class="controls-well">
+            <xsl:if test="./gmd:individualName">
+                <div class="control-group">
+                    <label class="control-label">Individual</label>
+                    <div class="controls">
+                        <div class="controls-well">
+                            <xsl:apply-templates select="./gmd:individualName" />
+                        </div>
+                    </div>
+                </div>
+            </xsl:if>
+            <xsl:if test="./gmd:organisationName">
+                <div class="control-group">
+                    <label class="control-label">Organization</label>
+                    <div class="controls">
+                        <div class="controls-well">
+                            <xsl:apply-templates select="./gmd:organisationName" />
+                        </div>
+                    </div>
+                </div>
+            </xsl:if>
+            <xsl:if test="./gmd:positionName">
+                <div class="control-group">
+                    <label class="control-label">Position</label>
+                    <div class="controls">
+                        <div class="controls-well">
+                            <xsl:apply-templates select="./gmd:positionName" />
+                        </div>
+                    </div>
+                </div>
+            </xsl:if>
+            <xsl:if test="./gmd:contactInfo/gmd:CI_Contact/gmd:phone">
+                <div class="control-group">
+                    <label class="control-label">Phone</label>
+                    <div class="controls">
+                        <div class="controls-well">
+                            <xsl:apply-templates select="./gmd:contactInfo/gmd:CI_Contact/gmd:phone" />
+                        </div>
+                    </div>
+                </div>
+            </xsl:if>
+            <xsl:if test="./gmd:contactInfo/gmd:CI_Contact/gmd:address">
+                <div class="control-group">
+                    <label class="control-label">Address</label>
+                    <div class="controls">
+                        <div class="controls-well">
+                            <xsl:apply-templates select="./gmd:contactInfo/gmd:CI_Contact/gmd:address" />
+                        </div>
+                    </div>
+                </div>
+            </xsl:if>
+            <xsl:if test="./gmd:contactInfo/gmd:CI_Contact/gmd:onlineResource">
+                <div class="control-group">
+                    <label class="control-label">Online Resource</label>
+                    <div class="controls">
+                        <div class="controls-well">
+                            <xsl:apply-templates select="./gmd:contactInfo/gmd:CI_Contact/gmd:onlineResource" />
+                        </div>
+                    </div>
+                </div>
+            </xsl:if>
+            <xsl:if test="./gmd:contactInfo/gmd:CI_Contact/gmd:hoursOfService">
+                <div class="control-group">
+                    <label class="control-label">Hours of Service</label>
+                    <div class="controls">
+                        <div class="controls-well">
+                            <xsl:apply-templates select="./gmd:contactInfo/gmd:CI_Contact/gmd:hoursOfService" />
+                        </div>
+                    </div>
+                </div>
+            </xsl:if>
+            <xsl:if test="./gmd:contactInfo/gmd:CI_Contact/gmd:contactInstructions">
+                <div class="control-group">
+                    <label class="control-label">Contact Instructions</label>
+                    <div class="controls">
+                        <div class="controls-well">
+                            <xsl:apply-templates select="./gmd:contactInfo/gmd:CI_Contact/gmd:contactInstructions" />
+                        </div>
+                    </div>
+                </div>
+            </xsl:if>
+            <xsl:if test="./gmd:role">
+                <div class="control-group">
+                    <label class="control-label">Role</label>
+                    <div class="controls">
+                        <div class="controls-well">
+                            <xsl:apply-templates select="./gmd:role" />
+                        </div>
+                    </div>
+                </div>
+            </xsl:if>
         </div>
-      </xsl:if>
-
-      <xsl:if test="./gmd:organisationName">
-        <div class="control-group">
-          <label class="control-label">Organization</label>
-          <div class="controls">
-            <div class="controls-well">
-              <xsl:apply-templates select="./gmd:organisationName" />
+    </xsl:template>
+    <xsl:template match="gmd:CI_RoleCode">
+        <xsl:apply-templates />
+    </xsl:template>
+    <xsl:template match="gmd:CI_Telephone">
+        <xsl:for-each select="./gmd:voice">
+            <div class="control-group">
+                <label class="control-label">Voice</label>
+                <div class="controls">
+                    <div class="controls-well">
+                        <xsl:apply-templates />
+                    </div>
+                </div>
             </div>
-          </div>
-        </div>
-      </xsl:if>
-
-      <xsl:if test="./gmd:positionName">
-        <div class="control-group">
-          <label class="control-label">Position</label>
-          <div class="controls">
-            <div class="controls-well">
-              <xsl:apply-templates select="./gmd:positionName" />
+        </xsl:for-each>
+        <xsl:for-each select="./gmd:facsimile">
+            <div class="control-group">
+                <label class="control-label">Fax</label>
+                <div class="controls">
+                    <div class="controls-well">
+                        <xsl:apply-templates />
+                    </div>
+                </div>
             </div>
-          </div>
-        </div>
-      </xsl:if>
-
-      <xsl:if test="./gmd:contactInfo/gmd:CI_Contact/gmd:phone">
-        <div class="control-group">
-          <label class="control-label">Phone</label>
-          <div class="controls">
-            <div class="controls-well">
-              <xsl:apply-templates select="./gmd:contactInfo/gmd:CI_Contact/gmd:phone" />
+        </xsl:for-each>
+    </xsl:template>
+    <xsl:template match="gmd:CI_Address">
+        <xsl:for-each select="./gmd:deliveryPoint">
+            <div class="control-group">
+                <label class="control-label">Delivery Point</label>
+                <div class="controls">
+                    <div class="controls-well">
+                        <xsl:apply-templates />
+                    </div>
+                </div>
             </div>
-          </div>
-        </div>
-      </xsl:if>
-
-      <xsl:if test="./gmd:contactInfo/gmd:CI_Contact/gmd:address">
-        <div class="control-group">
-          <label class="control-label">Address</label>
-          <div class="controls">
-            <div class="controls-well">
-              <xsl:apply-templates select="./gmd:contactInfo/gmd:CI_Contact/gmd:address" />
+        </xsl:for-each>
+        <xsl:if test="./gmd:city">
+            <div class="control-group">
+                <label class="control-label">City</label>
+                <div class="controls">
+                    <div class="controls-well">
+                        <xsl:apply-templates select="./gmd:city" />
+                    </div>
+                </div>
             </div>
-          </div>
-        </div>
-      </xsl:if>
-
-      <xsl:if test="./gmd:contactInfo/gmd:CI_Contact/gmd:onlineResource">
-        <div class="control-group">
-          <label class="control-label">Online Resource</label>
-          <div class="controls">
-            <div class="controls-well">
-              <xsl:apply-templates select="./gmd:contactInfo/gmd:CI_Contact/gmd:onlineResource" />
+        </xsl:if>
+        <xsl:if test="./gmd:administrativeArea">
+            <div class="control-group">
+                <label class="control-label">Administrative Area</label>
+                <div class="controls">
+                    <div class="controls-well">
+                        <xsl:apply-templates select="./gmd:administrativeArea" />
+                    </div>
+                </div>
             </div>
-          </div>
-        </div>
-      </xsl:if>
-
-      <xsl:if test="./gmd:contactInfo/gmd:CI_Contact/gmd:hoursOfService">
-        <div class="control-group">
-          <label class="control-label">Hours of Service</label>
-          <div class="controls">
-            <div class="controls-well">
-              <xsl:apply-templates select="./gmd:contactInfo/gmd:CI_Contact/gmd:hoursOfService" />
+        </xsl:if>
+        <xsl:if test="./gmd:postalCode">
+            <div class="control-group">
+                <label class="control-label">Postal Code</label>
+                <div class="controls">
+                    <div class="controls-well">
+                        <xsl:apply-templates select="./gmd:postalCode" />
+                    </div>
+                </div>
             </div>
-          </div>
-        </div>
-      </xsl:if>
-
-      <xsl:if test="./gmd:contactInfo/gmd:CI_Contact/gmd:contactInstructions">
-        <div class="control-group">
-          <label class="control-label">Contact Instructions</label>
-          <div class="controls">
-            <div class="controls-well">
-              <xsl:apply-templates select="./gmd:contactInfo/gmd:CI_Contact/gmd:contactInstructions" />
+        </xsl:if>
+        <xsl:if test="./gmd:country">
+            <div class="control-group">
+                <label class="control-label">Country</label>
+                <div class="controls">
+                    <div class="controls-well">
+                        <xsl:apply-templates select="./gmd:country" />
+                    </div>
+                </div>
             </div>
-          </div>
-        </div>
-      </xsl:if>
-
-      <xsl:if test="./gmd:role">
-        <div class="control-group">
-          <label class="control-label">Role</label>
-          <div class="controls">
-            <div class="controls-well">
-              <xsl:apply-templates select="./gmd:role" />
+        </xsl:if>
+        <xsl:for-each select="./gmd:electronicMailAddress">
+            <div class="control-group">
+                <label class="control-label">E-Mail</label>
+                <div class="controls">
+                    <div class="controls-well">
+                        <xsl:variable name="email" select="./gco:CharacterString/text()" />
+                        <xsl:element name="a">
+                            <xsl:attribute name="href">mailto:                
+                                <xsl:value-of select="$email" />
+                            </xsl:attribute>
+                            <xsl:value-of select="$email" />
+                        </xsl:element>
+                    </div>
+                </div>
             </div>
-          </div>
-        </div>
-      </xsl:if>
-    </div>
-  </xsl:template>
-
-  <xsl:template match="gmd:CI_RoleCode">
-    <xsl:apply-templates />
-  </xsl:template>
-  
-  <xsl:template match="gmd:CI_Telephone">
-    <xsl:for-each select="./gmd:voice">
-      <div class="control-group">
-          <label class="control-label">Voice</label>
-          <div class="controls">
-            <div class="controls-well">
-              <xsl:apply-templates />
+        </xsl:for-each>
+    </xsl:template>
+    <xsl:template match="gmd:CI_OnlineResource">
+        <xsl:if test="./gmd:linkage">
+            <div class="control-group">
+                <label class="control-label">linkage</label>
+                <div class="controls">
+                    <div class="controls-well">
+                        <xsl:apply-templates select="./gmd:linkage" />
+                    </div>
+                </div>
             </div>
-          </div>
-        </div>
-    </xsl:for-each>
-
-    <xsl:for-each select="./gmd:facsimile">
-      <div class="control-group">
-          <label class="control-label">Fax</label>
-          <div class="controls">
-            <div class="controls-well">
-              <xsl:apply-templates />
+        </xsl:if>
+        <xsl:if test="./gmd:protocol">
+            <div class="control-group">
+                <label class="control-label">protocol</label>
+                <div class="controls">
+                    <div class="controls-well">
+                        <xsl:apply-templates select="./gmd:protocol" />
+                    </div>
+                </div>
             </div>
-          </div>
-        </div>
-    </xsl:for-each>
-  </xsl:template>
-  
-  <xsl:template match="gmd:CI_Address">
-    <xsl:for-each select="./gmd:deliveryPoint">
-      <div class="control-group">
-          <label class="control-label">Delivery Point</label>
-          <div class="controls">
-            <div class="controls-well">
-              <xsl:apply-templates />
+        </xsl:if>
+        <xsl:if test="./gmd:applicationProfile">
+            <div class="control-group">
+                <label class="control-label">applicationProfile</label>
+                <div class="controls">
+                    <div class="controls-well">
+                        <xsl:apply-templates select="./gmd:applicationProfile" />
+                    </div>
+                </div>
             </div>
-          </div>
-        </div>
-    </xsl:for-each>
-
-    <xsl:if test="./gmd:city">
-      <div class="control-group">
-        <label class="control-label">City</label>
-        <div class="controls">
-          <div class="controls-well">
-            <xsl:apply-templates select="./gmd:city" />
-          </div>
-        </div>
-      </div>
-    </xsl:if>
-
-    <xsl:if test="./gmd:administrativeArea">
-      <div class="control-group">
-        <label class="control-label">Administrative Area</label>
-        <div class="controls">
-          <div class="controls-well">
-            <xsl:apply-templates select="./gmd:administrativeArea" />
-          </div>
-        </div>
-      </div>
-    </xsl:if>
-    
-    <xsl:if test="./gmd:postalCode">
-      <div class="control-group">
-        <label class="control-label">Postal Code</label>
-        <div class="controls">
-          <div class="controls-well">
-            <xsl:apply-templates select="./gmd:postalCode" />
-          </div>
-        </div>
-      </div>
-    </xsl:if>
-    
-    <xsl:if test="./gmd:country">
-      <div class="control-group">
-        <label class="control-label">Country</label>
-        <div class="controls">
-          <div class="controls-well">
-            <xsl:apply-templates select="./gmd:country" />
-          </div>
-        </div>
-      </div>
-    </xsl:if>
-
-    <xsl:for-each select="./gmd:electronicMailAddress">
-      <div class="control-group">
-          <label class="control-label">E-Mail</label>
-          <div class="controls">
-            <div class="controls-well">
-
-              <xsl:variable name="email" select="./gco:CharacterString/text()" />
-              <xsl:element name="a">
-                <xsl:attribute name="href">mailto:<xsl:value-of select="$email" /></xsl:attribute>
-                <xsl:value-of select="$email" />
-              </xsl:element>
+        </xsl:if>
+        <xsl:if test="./gmd:name">
+            <div class="control-group">
+                <label class="control-label">name</label>
+                <div class="controls">
+                    <div class="controls-well">
+                        <xsl:apply-templates select="./gmd:name" />
+                    </div>
+                </div>
             </div>
-          </div>
-        </div>
-    </xsl:for-each>
-  </xsl:template>
-
-  <xsl:template match="gmd:CI_OnlineResource">
-    <xsl:if test="./gmd:linkage">
-      <div class="control-group">
-        <label class="control-label">linkage</label>
-        <div class="controls">
-          <div class="controls-well">
-            <xsl:apply-templates select="./gmd:linkage" />
-          </div>
-        </div>
-      </div>
-    </xsl:if>
-
-    <xsl:if test="./gmd:protocol">
-      <div class="control-group">
-        <label class="control-label">protocol</label>
-        <div class="controls">
-          <div class="controls-well">
-            <xsl:apply-templates select="./gmd:protocol" />
-          </div>
-        </div>
-      </div>
-    </xsl:if>
-
-    <xsl:if test="./gmd:applicationProfile">
-      <div class="control-group">
-        <label class="control-label">applicationProfile</label>
-        <div class="controls">
-          <div class="controls-well">
-            <xsl:apply-templates select="./gmd:applicationProfile" />
-          </div>
-        </div>
-      </div>
-    </xsl:if>
-
-    <xsl:if test="./gmd:name">
-      <div class="control-group">
-        <label class="control-label">name</label>
-        <div class="controls">
-          <div class="controls-well">
-            <xsl:apply-templates select="./gmd:name" />
-          </div>
-        </div>
-      </div>
-    </xsl:if>
-
-    <xsl:if test="./gmd:description">
-      <div class="control-group">
-        <label class="control-label">description</label>
-        <div class="controls">
-          <div class="controls-well">
-            <xsl:apply-templates select="./gmd:description" />
-          </div>
-        </div>
-      </div>
-    </xsl:if>
-
-    <xsl:if test="./gmd:function">
-      <div class="control-group">
-        <label class="control-label">function</label>
-        <div class="controls">
-          <div class="controls-well">
-            <xsl:apply-templates select="./gmd:function" />
-          </div>
-        </div>
-      </div>
-    </xsl:if>
-  </xsl:template>
-
+        </xsl:if>
+        <xsl:if test="./gmd:description">
+            <div class="control-group">
+                <label class="control-label">description</label>
+                <div class="controls">
+                    <div class="controls-well">
+                        <xsl:apply-templates select="./gmd:description" />
+                    </div>
+                </div>
+            </div>
+        </xsl:if>
+        <xsl:if test="./gmd:function">
+            <div class="control-group">
+                <label class="control-label">function</label>
+                <div class="controls">
+                    <div class="controls-well">
+                        <xsl:apply-templates select="./gmd:function" />
+                    </div>
+                </div>
+            </div>
+        </xsl:if>
+    </xsl:template>
     <xsl:template match="gmd:CI_Citation">
         <div class="control-group">
             <label class="control-label">Title</label>
@@ -287,7 +262,6 @@
                 </div>
             </div>
         </div>
-
         <xsl:if test="./gmd:alternateTitle">
             <xsl:for-each select="./gmd:alternateTitle">
                 <div class="control-group">
@@ -300,7 +274,6 @@
                 </div>
             </xsl:for-each>
         </xsl:if>
-
         <xsl:for-each select="./gmd:date">
             <div class="control-group">
                 <label class="control-label">Date</label>
@@ -311,7 +284,6 @@
                 </div>
             </div>
         </xsl:for-each>
-
         <xsl:if test="./gmd:edition">
             <xsl:for-each select="./gmd:edition">
                 <div class="control-group">
@@ -324,7 +296,6 @@
                 </div>
             </xsl:for-each>
         </xsl:if>
-
         <xsl:if test="./gmd:editionDate">
             <div class="control-group">
                 <label class="control-label">Edition Date</label>
@@ -335,7 +306,6 @@
                 </div>
             </div>
         </xsl:if>
-
         <xsl:if test="./gmd:identifier">
             <xsl:for-each select="./gmd:identifier">
                 <div class="control-group">
@@ -348,7 +318,6 @@
                 </div>
             </xsl:for-each>
         </xsl:if>
-
         <xsl:if test="./gmd:citedResponsibleParty">
             <xsl:for-each select="./gmd:citedResponsibleParty">
                 <div class="control-group">
@@ -361,7 +330,6 @@
                 </div>
             </xsl:for-each>
         </xsl:if>
-
         <xsl:if test="./gmd:presentationForm">
             <xsl:for-each select="./gmd:presentationForm">
                 <div class="control-group">
@@ -374,7 +342,6 @@
                 </div>
             </xsl:for-each>
         </xsl:if>
-
         <xsl:if test="./gmd:series">
             <div class="control-group">
                 <label class="control-label">Series</label>
@@ -385,7 +352,6 @@
                 </div>
             </div>
         </xsl:if>
-
         <xsl:if test="./gmd:otherCitationDetails">
             <div class="control-group">
                 <label class="control-label">Other Citation Details</label>
@@ -396,7 +362,6 @@
                 </div>
             </div>
         </xsl:if>
-
         <xsl:if test="./gmd:collectiveTitle">
             <div class="control-group">
                 <label class="control-label">Collective Title</label>
@@ -407,7 +372,6 @@
                 </div>
             </div>
         </xsl:if>
-
         <xsl:if test="./gmd:ISBN">
             <div class="control-group">
                 <label class="control-label">ISBN</label>
@@ -418,7 +382,6 @@
                 </div>
             </div>
         </xsl:if>
-
         <xsl:if test="./gmd:ISSN">
             <div class="control-group">
                 <label class="control-label">ISSN</label>
@@ -430,4 +393,4 @@
             </div>
         </xsl:if>
     </xsl:template>
-</xsl:stylesheet>
\ No newline at end of file
+</xsl:stylesheet>
Index: lib/style/skins/metacatui/iso19115/iso-ex.xsl
===================================================================
--- lib/style/skins/metacatui/iso19115/iso-ex.xsl	(revision 10384)
+++ lib/style/skins/metacatui/iso19115/iso-ex.xsl	(revision 10385)
@@ -17,7 +17,6 @@
                 </div>
             </div>
         </xsl:if>
-
         <!-- Geographic -->
         <xsl:for-each select=".//gmd:geographicElement">
             <div class="row-fluid geographicCoverage">
@@ -31,7 +30,6 @@
                 </div>
             </div>
         </xsl:for-each>
-
         <!-- Temporal -->
         <xsl:for-each select=".//gmd:temporalElement">
             <div class="control-group">
@@ -43,7 +41,6 @@
                 </div>
             </div>
         </xsl:for-each>
-
         <!-- Vertical -->
         <xsl:for-each select=".//gmd:verticalElement">
             <div class="control-group">
@@ -56,22 +53,18 @@
             </div>
         </xsl:for-each>
     </xsl:template>
-
     <!-- EX_GeographicExtent-->
     <xsl:template match="gmd:EX_GeographicExtent">
         <xsl:apply-templates />
     </xsl:template>
-
     <!-- EX_BoundingPolygon-->
     <xsl:template match="gmd:EX_BoundingPolygon">
         <xsl:apply-templates />
     </xsl:template>
-
     <!-- EX_GeographicDescription-->
     <xsl:template match="gmd:EX_GeographicDescription">
         <xsl:apply-templates />
     </xsl:template>
-
     <!-- EX_GeographicBoundingBox-->
     <xsl:template match="gmd:EX_GeographicBoundingBox">
         <!-- Set up variables for N E S W -->
@@ -91,7 +84,7 @@
             <label class="control-label">North</label>
             <div class="controls">
                 <div class="controls-well">
-                    <xsl:value-of select="$north" />&#xa0; degrees          
+                    <xsl:value-of select="$north" />&#xa0; degrees                          
                 </div>
             </div>
         </div>
@@ -99,7 +92,7 @@
             <label class="control-label">East</label>
             <div class="controls">
                 <div class="controls-well">
-                    <xsl:value-of select="$east" />&#xa0; degrees          
+                    <xsl:value-of select="$east" />&#xa0; degrees                          
                 </div>
             </div>
         </div>
@@ -107,7 +100,7 @@
             <label class="control-label">South</label>
             <div class="controls">
                 <div class="controls-well">
-                    <xsl:value-of select="$south" />&#xa0; degrees          
+                    <xsl:value-of select="$south" />&#xa0; degrees                          
                 </div>
             </div>
         </div>
@@ -115,13 +108,12 @@
             <label class="control-label">West</label>
             <div class="controls">
                 <div class="controls-well">
-                    <xsl:value-of select="$west" />&#xa0; degrees          
+                    <xsl:value-of select="$west" />&#xa0; degrees                          
                 </div>
             </div>
         </div>
         <xsl:apply-templates select="./gmd:extentTypeCode" />
     </xsl:template>
-
     <!-- gmd:polygon -->
     <xsl:template match="gmd:polygon">
         <div class="control-group">
@@ -133,27 +125,24 @@
             </div>
         </div>
     </xsl:template>
-
     <!-- EX_TemporalExtent -->
     <xsl:template match="gmd:EX_TemporalExtent">
         <xsl:apply-templates select=".//gmd:extent/*" />
     </xsl:template>
-
     <!-- EX_VerticalExtent-->
     <!-- TODO: Improve DOM structure -->
     <!-- TODO: Flesh this out a bit more... -->
     <xsl:template match="gmd:EX_VerticalExtent">
-        <span>minimumValue: 
+        <span>minimumValue:             
             <xsl:value-of select="./gmd:minimumValue/gco:Real" />
         </span>
-        <span>maximumValue: 
+        <span>maximumValue:             
             <xsl:value-of select="./gmd:maximumValue/gco:Real" />
         </span>
-        <span>verticalCRS: 
+        <span>verticalCRS:             
             <xsl:value-of select="./gmd:verticalCRS" />
         </span>
     </xsl:template>
-
     <!-- TimeInstant-->
     <!-- TODO
         - Attributes: frame, calendarEraName, indeterminatePosition
@@ -161,7 +150,7 @@
     <xsl:template match="gml:TimeInstant">
         <label class="control-label">Instant</label>
         <div class="controls">
-            <div class="controls-well">  
+            <div class="controls-well">
                 <xsl:if test="./gmd:description">
                     <label class="control-label">Description</label>
                     <div class="controls">
@@ -172,7 +161,6 @@
                         </div>
                     </div>
                 </xsl:if>
-
                 <label class="control-label">Time Position</label>
                 <div class="controls">
                     <div class="controls-well">
@@ -179,7 +167,6 @@
                         <xsl:value-of select=".//gml:timePosition" />
                     </div>
                 </div>
-
                 <xsl:if test=".//gml:timePosition/@calendarEraName">
                     <label class="control-label">Calendar Era Name</label>
                     <div class="controls">
@@ -187,14 +174,12 @@
                             <xsl:value-of select=".//gml:timePosition/@calendarEraName" />
                         </div>
                     </div>
-                    
-                
                 </xsl:if>
                 <xsl:if test=".//gml:timePosition/@indeterminatePosition">
                     <label class="control-label">Time Position</label>
                     <div class="controls">
                         <div class="controls-well">
-                            <xsl:value-of select=".//gml:timePosition/@indeterminatePosition" /> 
+                            <xsl:value-of select=".//gml:timePosition/@indeterminatePosition" />
                         </div>
                     </div>
                 </xsl:if>
@@ -201,7 +186,6 @@
             </div>
         </div>
     </xsl:template>
-
     <!-- TimePeriod-->
     <!-- TODO: 
         - All the attributes
@@ -212,15 +196,17 @@
             <div class="control-group">
                 <label class="control-label">Begin</label>
                 <div class="controls">
-                    <div class="controls-well"><xsl:value-of select=".//gml:beginPosition" /></div>
+                    <div class="controls-well">
+                        <xsl:value-of select=".//gml:beginPosition" />
+                    </div>
                     <xsl:if test=".//gml:beginPosition/@calendarEraName">
                         <span>
-                            <xsl:value-of select=".//gml:beginPosition/@calendarEraName" /> (calendarEraName)
+                            <xsl:value-of select=".//gml:beginPosition/@calendarEraName" /> (calendarEraName)                        
                         </span>
                     </xsl:if>
                     <xsl:if test=".//gml:beginPosition/@indeterminatePosition">
                         <span>
-                            <xsl:value-of select=".//gml:beginPosition/@indeterminatePosition" /> (indeterminatePosition)
+                            <xsl:value-of select=".//gml:beginPosition/@indeterminatePosition" /> (indeterminatePosition)                        
                         </span>
                     </xsl:if>
                 </div>
@@ -230,15 +216,17 @@
             <div class="control-group">
                 <label class="control-label">End</label>
                 <div class="controls">
-                    <div class="controls-well"><xsl:value-of select=".//gml:endPosition" /></div>
+                    <div class="controls-well">
+                        <xsl:value-of select=".//gml:endPosition" />
+                    </div>
                     <xsl:if test=".//gml:endPosition/@calendarEraName">
                         <span>
-                            <xsl:value-of select=".//gml:endPosition/@calendarEraName" /> (calendarEraName)
+                            <xsl:value-of select=".//gml:endPosition/@calendarEraName" /> (calendarEraName)                        
                         </span>
                     </xsl:if>
                     <xsl:if test=".//gml:endPosition/@indeterminatePosition">
                         <span>
-                            <xsl:value-of select=".//gml:endPosition/@indeterminatePosition" /> (indeterminatePosition)
+                            <xsl:value-of select=".//gml:endPosition/@indeterminatePosition" /> (indeterminatePosition)                        
                         </span>
                     </xsl:if>
                 </div>
@@ -245,17 +233,16 @@
             </div>
         </xsl:if>
         <xsl:if test=".//gml:duration">
-            <span>duration:
+            <span>duration:                
                 <xsl:value-of select=".//gml:duration" />
             </span>
         </xsl:if>
         <xsl:if test=".//gml:timeInterval">
-            <span>timeInterval:
+            <span>timeInterval:                
                 <xsl:value-of select=".//gml:timeInterval" />
             </span>
         </xsl:if>
     </xsl:template>
-
     <!-- extentTypeCode -->
     <xsl:template match="gmd:extentTypeCode">
         <div class="control-group extentTypeCode">
@@ -271,4 +258,4 @@
             </div>
         </div>
     </xsl:template>
-</xsl:stylesheet>
\ No newline at end of file
+</xsl:stylesheet>
Index: lib/style/skins/metacatui/iso19115/iso-gco.xsl
===================================================================
--- lib/style/skins/metacatui/iso19115/iso-gco.xsl	(revision 10384)
+++ lib/style/skins/metacatui/iso19115/iso-gco.xsl	(revision 10385)
@@ -1,19 +1,12 @@
 <?xml version="1.0"?>
-<xsl:stylesheet
-        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-        xmlns:gco="http://www.isotc211.org/2005/gco"
-        version="1.0">
+<xsl:stylesheet 
+    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
+    xmlns:gco="http://www.isotc211.org/2005/gco" version="1.0">
     <!-- TODO: gco:Date-->
     <!-- TODO: gco:DateTime-->
-
-    <xsl:template match="gco:CharacterString">
-        <xsl:value-of select="." />
-    </xsl:template>
-
     <xsl:template match="gco:Date">
         <xsl:value-of select="." />
     </xsl:template>
-
     <xsl:template match="gco:DateTime">
         <xsl:value-of select="." />
     </xsl:template>
Index: lib/style/skins/metacatui/iso19115/iso-gmd.xsl
===================================================================
--- lib/style/skins/metacatui/iso19115/iso-gmd.xsl	(revision 10384)
+++ lib/style/skins/metacatui/iso19115/iso-gmd.xsl	(revision 10385)
@@ -1,8 +1,8 @@
 <?xml version="1.0"?>
 <xsl:stylesheet 
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
-    xmlns:gmd="http://www.isotc211.org/2005/gmd" version="1.0">
-
+    xmlns:gmd="http://www.isotc211.org/2005/gmd" 
+    xmlns:xlink="http://www.w3.org/1999/xlink" version="1.0">
     <xsl:template match="gmd:URL">
         <xsl:variable name="url">
             <xsl:value-of select="./text()" />
@@ -14,19 +14,15 @@
             <xsl:value-of select="$url" />
         </xsl:element>
     </xsl:template>
-
     <xsl:template match="gmd:date">
         <xsl:apply-templates />
     </xsl:template>
-
     <xsl:template match="gmd:dateStamp">
         <xsl:apply-templates />
     </xsl:template>
-
     <xsl:template match="gmd:dateType">
         <xsl:apply-templates />
     </xsl:template>
-
     <xsl:template match="gmd:resourceConstraints">
         <!-- Show the title if it's present -->
         <xsl:if test="../@xlink:title">
@@ -41,11 +37,9 @@
         </xsl:if>
         <xsl:apply-templates />
     </xsl:template>
-
     <xsl:template match="gmd:distributionInfo">
         <xsl:apply-templates />
     </xsl:template>
-
     <!-- BDM: This is a short template for the thesaurus rather than a full 
     implementation. I did this for space reasons in the view. At some later 
     point we could consider showing the full thesaurus citation some other way.
@@ -52,9 +46,5 @@
     -->
     <xsl:template match="gmd:thesaurusName">
         <xsl:value-of select="./gmd:CI_Citation/gmd:title" />
-        <xsl:apply-templates select="./gmd:CI_Citation/gmd:date" />
-        <xsl:if test="./gmd:CI_Citation/gmd:edition">
-            <xsl:value-of select="gmd:CI_Citation/gmd:edition" />
-        </xsl:if>
     </xsl:template>
-</xsl:stylesheet>
\ No newline at end of file
+</xsl:stylesheet>
Index: lib/style/skins/metacatui/iso19115/iso-gml.xsl
===================================================================
--- lib/style/skins/metacatui/iso19115/iso-gml.xsl	(revision 10384)
+++ lib/style/skins/metacatui/iso19115/iso-gml.xsl	(revision 10385)
@@ -4,22 +4,22 @@
         xmlns:gml="http://www.opengis.net/gml/3.2" version="1.0">
 
     <xsl:template match="gml:Point">
-
+        <!-- TODO -->
     </xsl:template>
 
     <xsl:template match="gml:Polygon">
-
+        <!-- TODO -->
     </xsl:template>
 
     <xsl:template match="gml:interior">
-
+        <!-- TODO -->
     </xsl:template>
 
     <xsl:template match="gml:LinearRing">
-
+        <!-- TODO -->
     </xsl:template>
 
     <xsl:template match="gml:LineString">
-
+        <!-- TODO -->
     </xsl:template>
-</xsl:stylesheet>
\ No newline at end of file
+</xsl:stylesheet>
Index: lib/style/skins/metacatui/iso19115/iso-gmx.xsl
===================================================================
--- lib/style/skins/metacatui/iso19115/iso-gmx.xsl	(revision 10384)
+++ lib/style/skins/metacatui/iso19115/iso-gmx.xsl	(revision 10385)
@@ -1,23 +1,21 @@
 <?xml version="1.0"?>
-<xsl:stylesheet
-        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-        xmlns:gmx="http://www.isotc211.org/2005/gmx"
-        xmlns:xlink="http://www.w3.org/1999/xlink"
-        version="1.0">
-
+<xsl:stylesheet 
+    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
+    xmlns:gmx="http://www.isotc211.org/2005/gmx" 
+    xmlns:xlink="http://www.w3.org/1999/xlink" version="1.0">
     <xsl:template match="gmx:Anchor">
         <xsl:element name="a">
             <xsl:attribute name="href">
                 <xsl:value-of select="./@xlink:href" />
             </xsl:attribute>
-
             <!-- Create the attributes for a Bootstrap tooltip to hold the title -->
             <xsl:if test="./@xlink:title">
                 <xsl:attribute name="data-toggle">tooltip</xsl:attribute>
                 <xsl:attribute name="data-placement">top</xsl:attribute>
-                <xsl:attribute name="title"><xsl:value-of select="./@xlink:title" /></xsl:attribute>
+                <xsl:attribute name="title">
+                    <xsl:value-of select="./@xlink:title" />
+                </xsl:attribute>
             </xsl:if>
-
             <xsl:value-of select="./text()" />
         </xsl:element>
     </xsl:template>
Index: lib/style/skins/metacatui/iso19115/iso-md.xsl
===================================================================
--- lib/style/skins/metacatui/iso19115/iso-md.xsl	(revision 10384)
+++ lib/style/skins/metacatui/iso19115/iso-md.xsl	(revision 10385)
@@ -1,44 +1,40 @@
 <?xml version="1.0"?>
-<xsl:stylesheet
-  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-  xmlns:gmd="http://www.isotc211.org/2005/gmd"
-  version="1.0">
-
-  <xsl:template match="gmd:MD_Identifier">
-    <xsl:apply-templates select="./gmd:code" />
-  </xsl:template>
-
+<xsl:stylesheet 
+    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
+    xmlns:gmd="http://www.isotc211.org/2005/gmd" version="1.0">
+    <xsl:template match="gmd:MD_Identifier">
+        <xsl:apply-templates select="./gmd:code" />
+    </xsl:template>
     <xsl:template match="gmd:MD_TopicCategoryCode">
         <xsl:apply-templates />
     </xsl:template>
-
-  <xsl:template match="gmd:MD_Keywords">
-      <table class="table table-condensed">
-          <thead>
-              <tr>
-                  <th>Keyword</th>
-              </tr>
-          </thead>
-          <tbody>
-              <xsl:for-each select="./gmd:keyword">
-                  <tr>
-                    <td><xsl:apply-templates select="." /></td>
-                  </tr>
-              </xsl:for-each>
-          </tbody>
-      </table>
-
-      <xsl:if test="./gmd:type">
-          <div class="control-group">
-              <label class="control-label">Type</label>
-              <div class="controls">
-                  <div class="controls-well">
-                      <xsl:value-of select="./gmd:type/gmd:MD_KeywordTypeCode/text()" />
-                  </div>
-              </div>
-          </div>
-      </xsl:if>
-
+    <xsl:template match="gmd:MD_Keywords">
+        <table class="table table-condensed">
+            <thead>
+                <tr>
+                    <th>Keyword</th>
+                </tr>
+            </thead>
+            <tbody>
+                <xsl:for-each select="./gmd:keyword">
+                    <tr>
+                        <td>
+                            <xsl:apply-templates select="." />
+                        </td>
+                    </tr>
+                </xsl:for-each>
+            </tbody>
+        </table>
+        <xsl:if test="./gmd:type">
+            <div class="control-group">
+                <label class="control-label">Type</label>
+                <div class="controls">
+                    <div class="controls-well">
+                        <xsl:value-of select="./gmd:type/gmd:MD_KeywordTypeCode/text()" />
+                    </div>
+                </div>
+            </div>
+        </xsl:if>
         <xsl:if test="./gmd:thesaurusName">
             <div class="control-group">
                 <label class="control-label">Thesaurus</label>
@@ -49,9 +45,76 @@
                 </div>
             </div>
         </xsl:if>
-
-  </xsl:template>
-
+    </xsl:template>
+    <xsl:template match="gmd:MD_Constraints">
+        <div class="control-group">
+            <label class="control-label">Resource Constraint</label>
+            <div class="controls">
+                <div class="controls-well">
+                    <xsl:apply-templates />
+                </div>
+            </div>
+        </div>
+    </xsl:template>
+    <xsl:template match="gmd:MD_LegalConstraints">
+        <div class="control-group">
+            <label class="control-label">Legal Constraint</label>
+            <div class="controls">
+                <div class="controls-well">
+                    <xsl:for-each select="./gmd:useLimitation">
+                        <div class="control-group">
+                            <label class="control-label">Use Limitation</label>
+                            <div class="controls">
+                                <div class="controls-well">
+                                    <xsl:apply-templates />
+                                </div>
+                            </div>
+                        </div>
+                    </xsl:for-each>
+                    <xsl:for-each select="./gmd:accessConstraints">
+                        <div class="control-group">
+                            <label class="control-label">Access Constraint</label>
+                            <div class="controls">
+                                <div class="controls-well">
+                                    <xsl:apply-templates />
+                                </div>
+                            </div>
+                        </div>
+                    </xsl:for-each>
+                    <xsl:for-each select="./gmd:useConstraints">
+                        <div class="control-group">
+                            <label class="control-label">Use Constraints</label>
+                            <div class="controls">
+                                <div class="controls-well">
+                                    <xsl:apply-templates />
+                                </div>
+                            </div>
+                        </div>
+                    </xsl:for-each>
+                    <xsl:for-each select="./gmd:otherConstraints">
+                        <div class="control-group">
+                            <label class="control-label">Other Constraint</label>
+                            <div class="controls">
+                                <div class="controls-well">
+                                    <xsl:apply-templates />
+                                </div>
+                            </div>
+                        </div>
+                    </xsl:for-each>
+                </div>
+            </div>
+        </div>
+    </xsl:template>
+    <xsl:template match="gmd:MD_SecurityConstraints">
+        <div class="control-group">
+            <label class="control-label">Security Constraint</label>
+            <div class="controls">
+                <div class="controls-well">
+                    <xsl:apply-templates />
+                </div>
+            </div>
+        </div>
+    </xsl:template>
     <!-- TODO: gmd:CI_PresentationFormCode-->
     <!-- TODO: gmd:CI_Series -->
-</xsl:stylesheet>
\ No newline at end of file
+</xsl:stylesheet>
Index: lib/style/skins/metacatui/iso19115/isoroot.xsl
===================================================================
--- lib/style/skins/metacatui/iso19115/isoroot.xsl	(revision 10384)
+++ lib/style/skins/metacatui/iso19115/isoroot.xsl	(revision 10385)
@@ -2,9 +2,7 @@
 <xsl:stylesheet 
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
     xmlns:gmd="http://www.isotc211.org/2005/gmd" 
-    xmlns:gco="http://www.isotc211.org/2005/gco" 
-    version="1.0">
-
+    xmlns:gco="http://www.isotc211.org/2005/gco" version="1.0">
     <xsl:import href="iso-md.xsl"/>
     <xsl:import href="iso-ci.xsl"/>
     <xsl:import href="iso-ex.xsl"/>
@@ -12,34 +10,25 @@
     <xsl:import href="iso-gmd.xsl"/>
     <xsl:import href="iso-gml.xsl"/>
     <xsl:import href="iso-gmx.xsl"/>
-
-    <xsl:output method="html"
-                encoding="UTF-8"
-                doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
-                doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"
-                indent="yes" />
-
-    <!-- TODO: Figure out what this match statement should have in it -->
-    <!-- TODO: Cover gmd:identificationInfo/SV_ServiceIdentification -->
-
+    <xsl:output method="html" encoding="UTF-8" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" indent="yes" />
     <xsl:template match="*[local-name()='MD_Metadata'] | *[local-name()='MI_Metadata']">
         <form class="form-horizontal">
             <div class="control-group entity">
                 <h4>General</h4>
-                <!-- fileIdentifier 1:1 -->
-                <div class="control-group">
-                    <label class="control-label">Identifier</label>
-                    <div class="controls">
-                        <div class="controls-well">
-                            <xsl:apply-templates select="./gmd:fileIdentifier" />
+                <!-- fileIdentifier 0:1 -->
+                <xsl:if test="./gmd:fileIdentifier">
+                    <div class="control-group">
+                        <label class="control-label">File Identifier</label>
+                        <div class="controls">
+                            <div class="controls-well">
+                                <xsl:apply-templates select="./gmd:fileIdentifier" />
+                            </div>
                         </div>
                     </div>
-                </div>
-
-                <!-- TODO: language 1:1 -->
-                <!-- TODO: characterSet 1:1 -->
-
-                <!-- Parent Identifier 1:1 conditional -->
+                </xsl:if>
+                <!-- TODO: language 0:1 -->
+                <!-- TODO: characterSet 0:1 -->
+                <!-- Parent Identifier 0:1 -->
                 <xsl:if test="./gmd:parentIdentifier">
                     <div class="control-group">
                         <label class="control-label">Parent Identifier</label>
@@ -50,15 +39,13 @@
                         </div>
                     </div>
                 </xsl:if>
-
-                <!-- TODO: hierarchyLevel 0:inf -->
-                <!-- TODO: hierarchyLevelName 0:inf -->
-
-                <!-- Alternate identifier(s) 0:inf-->
+                <!-- TODO: hierarchyLevel 0:∞ -->
+                <!-- TODO: hierarchyLevelName 0:∞ -->
+                <!-- Alternate identifier(s) 0:∞-->
                 <!-- gmd:identifier is an optional part of the CI_Citation element -->
-                <xsl:for-each select=".//gmd:identificationInfo/gmd:MD_DataIdentification/gmd:citation/gmd:CI_Citation/gmd:identifier">
+                <xsl:for-each select="./gmd:identificationInfo/gmd:MD_DataIdentification/gmd:citation/gmd:CI_Citation/gmd:identifier">
                     <div class="control-group">
-                        <label class="control-label">Identifier</label>
+                        <label class="control-label">Cited Identifier</label>
                         <div class="controls">
                             <div class="controls-well">
                                 <xsl:apply-templates />
@@ -66,12 +53,9 @@
                         </div>
                     </div>
                 </xsl:for-each>
-
-                <!-- Abstract 1:inf
-                    Can be missing
-                -->
-                <xsl:if test="normalize-space(.//gmd:identificationInfo/gmd:MD_DataIdentification/gmd:abstract/text()) != ''">
-                    <xsl:for-each select=".//gmd:identificationInfo/gmd:MD_DataIdentification/gmd:abstract">
+                <!-- Abstract 0:∞  Only shown if the abstract has content -->
+                <xsl:for-each select="./gmd:identificationInfo/gmd:MD_DataIdentification/gmd:abstract">
+                    <xsl:if test="normalize-space(./gco:CharacterString/text()) != ''">
                         <div class="control-group">
                             <label class="control-label">Abstract</label>
                             <div class="controls">
@@ -80,20 +64,45 @@
                                 </div>
                             </div>
                         </div>
-                    </xsl:for-each>
-                </xsl:if>
-
-                <!-- Publication 1:1 -->
-                <!-- TODO: Find out where this is in the metadata. -->
-                <!--<div class="control-group">-->
-                    <!--<label class="control-label">Publication Date</label>-->
-                    <!--<div class="controls">-->
-                        <!--<div class="controls-well">-->
-                            <!--<xsl:apply-templates select="./gmd:dateStamp" />-->
-                        <!--</div>-->
-                    <!--</div>-->
-                <!--</div>-->
-
+                    </xsl:if>
+                </xsl:for-each>
+                <!-- Purpose 0:∞ -->
+                <xsl:for-each select="./gmd:identificationInfo/gmd:MD_DataIdentification/gmd:purpose">
+                    <xsl:if test="normalize-space(./gco:CharacterString/text()) != ''">
+                        <div class="control-group">
+                            <label class="control-label">Purpose</label>
+                            <div class="controls">
+                                <div class="controls-well">
+                                    <xsl:apply-templates />
+                                </div>
+                            </div>
+                        </div>
+                    </xsl:if>
+                </xsl:for-each>
+                <!-- Publication date -->
+                <xsl:for-each select="./gmd:identificationInfo/gmd:MD_DataIdentification/gmd:citation/gmd:CI_Citation/gmd:date">
+                    <xsl:if test="./gmd:CI_Date/gmd:dateType/gmd:CI_DateTypeCode/text() = 'publication'">
+                        <div class="control-group">
+                            <label class="control-label">Publication Date</label>
+                            <div class="controls">
+                                <div class="controls-well">
+                                    <xsl:apply-templates select="./gmd:CI_Date/gmd:date" />
+                                </div>
+                            </div>
+                        </div>
+                    </xsl:if>
+                </xsl:for-each>
+                <!-- Status  -->
+                <xsl:for-each select="./gmd:status">
+                    <div class="control-group">
+                        <label class="control-label">Status</label>
+                        <div class="controls">
+                            <div class="controls-well">
+                                <xsl:apply-templates />
+                            </div>
+                        </div>
+                    </div>
+                </xsl:for-each>
                 <!-- Topic Categories
 
                 These span multiple MD_DataIdentification Sections so all are
@@ -124,7 +133,6 @@
                         </div>
                     </div>
                 </xsl:if>
-
                 <!-- Keywords
 
                 These span multiple MD_DataIdentification Sections so all are
@@ -146,81 +154,60 @@
                     </div>
                 </xsl:if>
             </div>
-
             <div class="control-group entity">
                 <h4>People and Associated Parties</h4>
                 <!-- Metadata Contact(s) 1:inf -->
                 <div class="control-group">
-                    <label class="control-label">Metadata Contact(s)</label>
+                    <label class="control-label">Metadata Contacts</label>
                     <div class="controls">
                         <div class="controls-well">
-                            <xsl:for-each select=".//gmd:contact">
+                            <xsl:for-each select="./gmd:contact">
                                 <xsl:apply-templates />
                             </xsl:for-each>
                         </div>
                     </div>
                 </div>
-
                 <!-- Data Set Contact(s) -->
                 <div class="control-group">
                     <label class="control-label">Data Set Contacts</label>
                     <div class="controls">
                         <div class="controls-well">
-                            <xsl:apply-templates select=".//gmd:identificationInfo/gmd:MD_DataIdentification/gmd:pointOfContact" />
+                            <xsl:apply-templates select="./gmd:identificationInfo/gmd:MD_DataIdentification/gmd:pointOfContact" />
                         </div>
                     </div>
                 </div>
-
                 <!-- Cited responsible parties-->
                 <div class="control-group">
                     <label class="control-label">Associated Parties</label>
                     <div class="controls">
                         <div class="controls-well">
-                            <xsl:apply-templates select=".//gmd:identificationInfo/gmd:MD_DataIdentification/gmd:citation/gmd:CI_Citation/gmd:citedResponsibleParty" />
+                            <xsl:apply-templates select="./gmd:identificationInfo/gmd:MD_DataIdentification/gmd:citation/gmd:CI_Citation/gmd:citedResponsibleParty" />
                         </div>
                     </div>
                 </div>
             </div>
-
-            <xsl:if test="//gmd:distributionInfo">
-                <div class="control-group entity">
-                    <h4>Distribution Information</h4>
-
-                    <xsl:apply-templates select=".//gmd:distributionInfo" />
-                </div>
-            </xsl:if>
-
             <!-- Extent (geographic, temporal, vertical) -->
-            <xsl:for-each select=".//gmd:identificationInfo/gmd:MD_DataIdentification/gmd:extent">
+            <xsl:for-each select="./gmd:identificationInfo/gmd:MD_DataIdentification/gmd:extent">
                 <xsl:apply-templates />
             </xsl:for-each>
-
-            <!-- TODO Methods -->
-
             <xsl:if test=".//gmd:metadataConstraints">
-
                 <div class="control-group entity">
                     <h4>Metadata Constraints</h4>
-
                     <xsl:for-each select=".//gmd:metadataConstraints">
                         <xsl:apply-templates />
                     </xsl:for-each>
                 </div>
             </xsl:if>
-
             <xsl:if test=".//gmd:resourceConstraints">
                 <div class="control-group entity">
-
-                <h4>Resource Constraints</h4>
+                    <h4>Resource Constraints</h4>
                     <xsl:for-each select=".//gmd:resourceConstraints">
                         <xsl:apply-templates />
                     </xsl:for-each>
                 </div>
             </xsl:if>
-
             <xsl:if test=".//gmd:supplementalInformation">
                 <div class="control-group entity">
-
                     <h4>Supplemental Information</h4>
                     <xsl:for-each select=".//gmd:supplementalInformation">
                         <xsl:apply-templates />
@@ -227,11 +214,8 @@
                     </xsl:for-each>
                 </div>
             </xsl:if>
-
-
         </form>
     </xsl:template>
-
     <!-- General, high-level templates -->
     <!-- TODO: Figure out how to do this: I want to capture the scenario where
     an element like gmd:individualName has no child gco:CharacterString or
@@ -239,4 +223,4 @@
     <xsl:template match="*[not(*) and ./@nilReason]">
         <xsl:value-of select="@nilReason" />
     </xsl:template>
-</xsl:stylesheet>
\ No newline at end of file
+</xsl:stylesheet>
